package com.ruoyi.tcZz.service;

import java.util.List;
import com.ruoyi.tcZz.domain.TcJbmap;
import com.ruoyi.tcZz.domain.TcWljg;

/**
 * 举报地图Service接口
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
public interface ITcJbmapService 
{
    /**
     * 查询举报地图
     * 
     * @param id 举报地图主键
     * @return 举报地图
     */
    public TcJbmap selectTcJbmapById(Long id);

    /**
     * 查询举报地图列表
     * 
     * @param tcJbmap 举报地图
     * @return 举报地图集合
     */
    public List<TcJbmap> selectTcJbmapList(TcJbmap tcJbmap);

    /**
     * 新增举报地图
     * 
     * @param tcJbmap 举报地图
     * @return 结果
     */
    public int insertTcJbmap(TcJbmap tcJbmap);

    /**
     * 修改举报地图
     * 
     * @param tcJbmap 举报地图
     * @return 结果
     */
    public int updateTcJbmap(TcJbmap tcJbmap);

    /**
     * 批量删除举报地图
     * 
     * @param ids 需要删除的举报地图主键集合
     * @return 结果
     */
    public int deleteTcJbmapByIds(Long[] ids);

    /**
     * 删除举报地图信息
     * 
     * @param id 举报地图主键
     * @return 结果
     */
    public int deleteTcJbmapById(Long id);

    /**
     * 导入举报地图信息
     *
     * @return 结果
     */
    public String importUser(List<TcJbmap> tcJbmapList);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(Integer isStatus,List<String> ids);
}
